/* Adjust container width */
.container {
    max-width: 100%;
    padding: 0 1rem;
}

/* Modify navigation layout */
nav {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    padding: 1rem;
}

nav ul {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    padding: 0;
    margin: 0;
    list-style: none;
}

/* Handle long words and URLs */
body {
    word-wrap: break-word;
    overflow-wrap: break-word;
    font-family: "Arimo", sans-serif !important;
}

/* Responsive design */
@media (max-width: 768px) {
    nav {
        flex-direction: column;
    }

    nav ul {
        flex-direction: column;
        width: 100%;
    }
}

/* Box-sizing */
* {
    box-sizing: border-box;
}

/* Additional styles for better layout */
.doxa-pico-nav {
    width: 100%;
}

.doxa-pico-nav-center-wrapper {
    flex-grow: 1;
    display: flex;
    justify-content: center;
}

.doxa-pico-nav ul {
    margin: 0;
    padding: 0;
}

.doxa-pico-nav li {
    margin: 0;
    padding: 0;
}

/* Ensure dropdown menus don't overflow */
.dropdown .dropdown-menu {
    max-height: 80vh;
    overflow-y: auto;
}

/* Adjust grid layout for better responsiveness */
.grid {
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 1rem;
}

/* Ensure form elements don't overflow */
input, select, textarea {
    max-width: 100%;
}

/* Adjust modal size for smaller screens */
@media (max-width: 576px) {
    .modal-container {
        width: 90%;
    }
}